kcapi_aead_settaglen
Prev | AEAD Cipher API - Generic | Next

## Name

kcapi_aead_settaglen — set authentication tag size

## Synopsis

`int kcapi_aead_settaglen (` | struct kcapi_handle * handle,
| uint32_t taglen`)`;

## Arguments

`handle`

  [in] cipher handle

`taglen`

  [in] length of authentication tag

## Description

Set the authentication tag size needed for encryption operation. The tag is created during encryption operation with the size provided with this call.

`return` 0 upon success; a negative errno-style error code if an error occurred

Prev | Up | Next
kcapi_aead_setassoclen | Home | kcapi_aead_ivsize